Show / Hide Table of Contents

# Class ChatGui

This class handles interacting with the native chat UI.

##### Inheritance

System.Object
ChatGui

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class ChatGui : IDisposable

### Properties

| Improve this Doc View Source

#### LastLinkedItemFlags

Gets the flags of the last linked item.

##### Declaration

    public byte LastLinkedItemFlags { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LastLinkedItemId

Gets the ID of the last linked item.

##### Declaration

    public int LastLinkedItemId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Dispose()

Dispose of managed and unmanaged resources.

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

Enables this module.

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### Print(SeString)

Queue a chat message. While method is named as PrintChat (it calls it internally), it only add a entry to the queue, later to be processed when UpdateQueue() is called.

##### Declaration

    public void Print(SeString message)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | message | A message to send.

| Improve this Doc View Source

#### Print(String)

Queue a chat message. While method is named as PrintChat (it calls it internally), it only add a entry to the queue, later to be processed when UpdateQueue() is called.

##### Declaration

    public void Print(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | A message to send.

| Improve this Doc View Source

#### PrintChat(XivChatEntry)

Queue a chat message. While method is named as PrintChat, it only add a entry to the queue, later to be processed when UpdateQueue() is called.

##### Declaration

    public void PrintChat(XivChatEntry chat)

##### Parameters

Type | Name | Description
--- | --- | ---
XivChatEntry | chat | A message to send.

| Improve this Doc View Source

#### PrintError(SeString)

Queue an error chat message. While method is named as PrintChat (it calls it internally), it only add a entry to the queue, later to be processed when UpdateQueue() is called.

##### Declaration

    public void PrintError(SeString message)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | message | A message to send.

| Improve this Doc View Source

#### PrintError(String)

Queue an error chat message. While method is named as PrintChat (it calls it internally), it only add a entry to the queue, later to be processed when UpdateQueue() is called.

##### Declaration

    public void PrintError(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | A message to send.

| Improve this Doc View Source

#### UpdateQueue()

Process a chat queue.

##### Declaration

    public void UpdateQueue()

### Events

| Improve this Doc View Source

#### ChatMessage

Event that will be fired when a chat message is sent to chat by the game.

##### Declaration

    public event ChatGui.OnMessageDelegate ChatMessage

##### Event Type

Type | Description
--- | ---
ChatGui.OnMessageDelegate |

| Improve this Doc View Source

#### ChatMessageHandled

Event that will be fired when a chat message is handled by Dalamud or a Plugin.

##### Declaration

    public event ChatGui.OnMessageHandledDelegate ChatMessageHandled

##### Event Type

Type | Description
--- | ---
ChatGui.OnMessageHandledDelegate |

| Improve this Doc View Source

#### ChatMessageUnhandled

Event that will be fired when a chat message is not handled by Dalamud or a Plugin.

##### Declaration

    public event ChatGui.OnMessageUnhandledDelegate ChatMessageUnhandled

##### Event Type

Type | Description
--- | ---
ChatGui.OnMessageUnhandledDelegate |

| Improve this Doc View Source

#### CheckMessageHandled

Event that allows you to stop messages from appearing in chat by setting the isHandled parameter to true.

##### Declaration

    public event ChatGui.OnCheckMessageHandledDelegate CheckMessageHandled

##### Event Type

Type | Description
--- | ---
ChatGui.OnCheckMessageHandledDelegate |

### Implements

System.IDisposable